Skip to main content
POST
/
preview
/
retail-media
/
accounts
/
{account-id}
/
audiences
/
create
/preview/retail-media/accounts/{account-id}/audiences/create
curl --request POST \
  --url https://api.criteo.com/preview/retail-media/accounts/{account-id}/audiences/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "type": "<string>"
    }
  ]
}
'
{
  "data": [
    {
      "attributes": {
        "accountId": "<string>",
        "algebra": {
          "and": "<array>",
          "audienceSegmentId": "<string>",
          "not": "<unknown>",
          "or": "<array>"
        },
        "channels": [],
        "createdAt": "2023-11-07T05:31:56Z",
        "createdById": "<string>",
        "description": "<string>",
        "name": "<string>",
        "retailerId": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

account-id
string
required

Account Id

Body

application/json

Audience creation parameter

A top-level object that encapsulates a Criteo API request for several values.

data
object[]

Response

200 - application/json

Success or partial success

A top-level object that encapsulates a Criteo API response for several entities

data
object[] | null
errors
object[] | null
read-only
warnings
object[] | null
read-only